xtide (2.15.3-0~mx19) mx; urgency=medium

  * New upstream release built against new libtcd 2.2.7-r3

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 13 Jun 2021 14:23:44 -0400

xtide (2.15.2-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 28 Sep 2020 10:52:59 -0400

xtide (2.15.2-1) unstable; urgency=medium

  * New upstream release, thanks to Tobias Frost (Closes: #873549).
  * debian/control:
   - Build-Depends: debhelper-compat (= 13)
   - Standards-Version: 4.5.0
  * debian/compat: deleted
  * debian/rules: added dh_autoreconf &	dh_auto_configure
  * debian/patches/50_manpages_for_debian deleted; not needed.

 -- Peter S Galbraith <psg@debian.org>  Mon, 01 Jun 2020 21:26:48 -0400

xtide (2.13.2-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Please add a debian/watch file", thanks to Sven Joachim
    (Closes: #650945).

 -- Peter S Galbraith <psg@debian.org>  Thu, 23 Oct 2014 20:15:52 -0400

xtide (2.13-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "Dependency for xfonts-base package missing", thanks to
    Tobias Löbhard (Closes: #655587).  Added "Depends: xfonts-base".
  * Bug fix: "Please Build-Depends on libpng-dev, change from
    libpng12-dev", thanks to Nobuhiro Iwamatsu (Closes: #662571).

 -- Peter S Galbraith <psg@debian.org>  Fri, 25 Jan 2013 12:06:34 -0500

xtide (2.11-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version: 3.9.0

 -- Peter S Galbraith <psg@debian.org>  Thu, 12 Aug 2010 10:51:03 -0400

xtide (2.10-2) unstable; urgency=low

  * Bug fix: "Icons missing copyright information", thanks to Charlie
    Smotherman for reporting and for the patch (Closes: #557598).

 -- Peter S Galbraith <psg@debian.org>  Thu, 26 Nov 2009 22:04:31 -0500

xtide (2.10-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "more command line options on man page", thanks to Kevin Ryde
    (Closes: #422663).
  * Bug fix: "/etc/cron.weekly/xtide claims to be obsolete", thanks to
    Justin B Rye (Closes: #493990).  Deleted reference to slink and potato.
  * Standards-Version: 3.8.3 without changes.

 -- Peter S Galbraith <psg@debian.org>  Mon, 12 Oct 2009 14:14:06 -0400

xtide (2.9.5-3) unstable; urgency=low

  [ Morten Kjeldgaard <mok@bioxray.au.dk> ]
  * debian/rules: 
    + clean rule modified to satisfy lintian
    + DH_COMPAT line removed.
  * debian/compat: create this file
  * debian/control:
    + versioned dependency of debhelper
    + move webpage from long description to Homepage field
    + bump Standards-Version

  [ Peter S Galbraith ]
  * Bug fix: "xtide: Please add LSB formatted dependency info in init.d
    script", thanks to Petter Reinholdtsen (Closes: #466147).
  * menu entry switched to section "Applications/Science/Geoscience"

 -- Peter S Galbraith <psg@debian.org>  Mon, 25 Feb 2008 21:17:18 -0500
  
xtide (2.9.5-2) unstable; urgency=low

  * Added sharutils to Build-Depends for uudecode.

 -- Peter S Galbraith <psg@debian.org>  Sat, 22 Dec 2007 16:01:57 -0500

xtide (2.9.5-1) unstable; urgency=low

  [ Peter S Galbraith ]
  * New upstream release.

  [ Morten Kjeldgaard ]
  * Add xtide.desktop.
  * Add desktop icons.

 -- Peter S Galbraith <psg@debian.org>  Fri, 21 Dec 2007 21:03:20 -0500

xtide (2.9.3-3) unstable; urgency=low

  * Brown paper bag upload.  Had built locally with a local library and
    created an impossible to-fill dependency.

 -- Peter S Galbraith <psg@debian.org>  Sat, 15 Sep 2007 18:37:42 -0400

xtide (2.9.3-2) unstable; urgency=low

  * Build with --with-xttpd-group=nogroup option to fix xttpd.

 -- Peter S Galbraith <psg@debian.org>  Fri, 14 Sep 2007 21:11:32 -0400

xtide (2.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #377368).
  * Bug fix: "xtide: FTBFS if built twice in a row", thanks to Martin
    Zobel-Helas (Closes: #424099).

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jul 2007 23:11:49 -0400

xtide (2.8.2-3) unstable; urgency=low

  * Bug fix: "FTBFS with G++ 4.1: ... not declared in this scope", thanks
    to Martin Michlmayr for the report and the patch (Closes: #356445).

 -- Peter S Galbraith <psg@debian.org>  Sat, 11 Mar 2006 21:47:09 -0500

xtide (2.8.2-2) unstable; urgency=low

  * Bug fix: "xtide: FTBFS: build-depends on removed xlibs-dev", thanks to
    Adeodato Simó for reporting it (Closes: #346858).  Builds in a chroot
    simply without xlibs-dev, so removing libx11-dev, libxpm-dev,
    libxt-dev and x-dev.

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jan 2006 22:29:41 -0500

xtide (2.8.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346858).

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 18:01:01 +0100

xtide (2.8.2-1) unstable; urgency=low

  * New upstream release. Thanks to Hamish (Closes: #299449).
  * Standards-Version updated to 3.6.0
  
 -- Peter S Galbraith <psg@debian.org>  Wed, 23 Mar 2005 20:11:15 -0500

xtide (2.6.4-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Sun, 16 Nov 2003 21:10:48 -0500

xtide (2.6-3) unstable; urgency=low

  * TabulatedConstituent.{cc,hh}: Try again to get around gcc bug on ia64.

 -- Peter S Galbraith <psg@debian.org>  Wed, 11 Jun 2003 20:22:53 -0400

xtide (2.6-2) unstable; urgency=low

  * TabulatedConstituent.cc: comment out redundant speed method to try to
    get around gcc bug on ia64.
  * Point to text of GPL under /usr/share/common-licenses/

 -- Peter S Galbraith <psg@debian.org>  Tue, 10 Jun 2003 23:06:29 -0400

xtide (2.6-1) unstable; urgency=low

  * New upstream release; uses new binary data files.
  * conflicts with old xtide-data format.
  * Standards-Version 3.5.10 without changes.  xttpd does not support
    `reload'.

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 May 2003 16:20:06 -0400

xtide (2.5-2) unstable; urgency=low

  * Build-depend on libxaw7-dev instead of virtual package libxaw-dev
    (closes: #169989).
  * Updated to Standards-Version 3.5.7.  Added DEB_BUILD_OPTIONS support
    for debug.

 -- Peter S Galbraith <psg@debian.org>  Thu, 21 Nov 2002 09:37:15 -0500

xtide (2.5-1) unstable; urgency=low

  * New upstream release.  Users can now can see the coastline in xtide if
    they install 50 MB of data files (not currently packaged for Debian).
  * Updated to Standards-Version 3.5.6 without changes.

 -- Peter S Galbraith <psg@debian.org>  Wed, 24 Jul 2002 11:30:09 -0400

xtide (2.4-1) unstable; urgency=low

  * New upstream release.  The /etc/xtide.conf configuration file may now
    list directory names instead of harmonic data files.  In this case,
    all files in the directory are sourced.
  * Removed harmonics data, now in new xtide-data package.

 -- Peter S Galbraith <psg@debian.org>  Wed,  9 May 2001 22:28:01 -0400

xtide (2.3a-2) unstable; urgency=low

  * Changed Build-depends from:
     debhelper, xlib6g-dev, libpng2-dev, xlibs-dev
    to:
     debhelper, libxaw-dev, xlibs-dev, libpng2-dev 
    for new XFree 4.0.X

 -- Peter S Galbraith <psg@debian.org>  Mon, 19 Feb 2001 11:06:20 -0500

xtide (2.3a-1) unstable; urgency=high

  * The Debian source archive xtide_2.3.orig.tar.gz was not pristine and
    included tidal harmonics data downloaded from the XTide web site.  
    It was recently discovered that some of the data included in the above
    archive may be in violation of copyright.  Therefore, XTide's author
    removed the data in question from his web site and produced new 
    harmonics files which were included in this 2.3a Debian version.
  * harmonics.world and harmonics.anchorage merged into harmonics.txt

 -- Peter S Galbraith <psg@debian.org>  Thu,  8 Feb 2001 11:27:51 -0500

xtide (2.2a-1) stable; urgency=high

  * The Debian source archive xtide_2.2.orig.tar.gz was not pristine and
    included tidal harmonics data downloaded from the XTide web site.  
    It was recently discovered that some of the data included in the above
    archive may be in violation of copyright.  Therefore, XTide's author
    removed the data in question from his web site and produced new 
    harmonics files which were included in this 2.2a Debian version.

 -- Peter S Galbraith <psg@debian.org>  Thu,  8 Feb 2001 10:50:44 -0500

xtide (2.3-1) unstable; urgency=low

  * New upstream version: XTide 2.3 (2000-12-08)
  * Updated offsets.xml and harmonics.world files.

 -- Peter S Galbraith <psg@debian.org>  Thu, 21 Dec 2000 09:59:00 -0500

xtide (2.2.2-1) unstable; urgency=low

  * New upstream version: XTide 2.2.2 (2000-07-30)
  * Updated offsets.xml and harmonics.world files.

 -- Peter S Galbraith <psg@debian.org>  Fri, 15 Sep 2000 15:02:58 -0400

xtide (2.2.1-1) unstable; urgency=low

  * New upstream version: XTide 2.2.1 (2000-07-16)
  * Replaced files harmonics, harmonics.admiralty, harmonics.canadian,
    harmonics.japan with harmonics.world
  
 -- Peter S Galbraith <psg@debian.org>  Mon, 17 Jul 2000 11:49:56 -0400

xtide (2.2-1) unstable; urgency=low

  * New upstream version: XTide 2.2 (2000-01-12)
    No code changes; just promoted to final release status.

 -- Peter S Galbraith <psg@debian.org>  Wed, 12 Jan 2000 23:36:49 -0500

xtide (2.1.99dev2-2) unstable; urgency=low

  * Added "missingok" to /etc/logrotate.d/xtide: Kevin Ryde <user42@zip.com.au>
    Closes: #53899
  
 -- Peter S Galbraith <psg@debian.org>  Wed,  5 Jan 2000 09:46:14 -0500

xtide (2.1.99dev2-1) unstable; urgency=low

  * New upstream version 2.2dev dated 1999/12/05
     xttpd: applied location lookup patch from John Holden 
      <johnh@psych.usyd.edu.au>.  This enables URLs of the form
      http://whatever/locations/name in addition to the more reliable
      http://whatever/locations/nnn.html syntax.
     Changed configure to look for libXaw.so instead of libXaw.a since many
      people are not installing the static libs (e.g. Debian builds)
     Applied patch from Peter Galbraith to set background color in xttpd to
      white.
     If you set the environment variable XTIDE_DEFAULT_LOCATION, it works
      like the default location feature of XTide 1.
  * Replaced /etc/cron.weekly/xtide's savelog with logrotate (still uses
     savelog if logrotate is not installed)
  * Edited Canadian east coast positions in harmonics.canadian and sent
     patch upstream.
  * Updated to Standards-Version 3.1.1 with Build-Depends.

 -- Peter S Galbraith <psg@debian.org>  Fri, 10 Dec 1999 13:00:04 -0500

xtide (2.1.99dev1-1) unstable; urgency=low

  * New upstream version 2.2dev dated 1999/10/17
  * New Debian maintainer.
  * Separate out .orig.tar.gz and diff.gz file.  Closes: #44261
  * Removed Timestamp.cc patch as it was incorporated upstream.
  * Added harmonics.japan.gz from upstream data files (available separately)
  * Merged NOTES into README.Debian
  * Moved /usr/lib/xtide/ to /usr/share/xtide/ to hold harmonics data files
  * Moved xttpd to /usr/sbin/
  * Moved xttpd.1 to xttpd.8
  * Added menu support
  * Changed /etc/xtide/harmonicspath to /etc/xtide.conf and made it a conffile.
  * Made a /etc/init.d/xttpd file to optionally start the server.
    Made the server log to /var/log/xttpd
  * Created /etc/cron.weekly/xtide to rotate the server log file
  * Updated to from /usr/doc/tide to /usr/share/doc/xtide, etc (FHS)

 -- Peter S Galbraith <psg@debian.org>  Wed, 13 Oct 1999 19:13:27 -0400

xtide (2.1.1-1) unstable; urgency=low

  * New upstream version, new website.
	
 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  4 Mar 1999 17:50:52 -0700

xtide (2.0b3-2.1) frozen unstable; urgency=low

  * NMU
    Fix 'Grave' bug #32158 using patch provided in the bug report.

 -- Vincent Renardias <vincent@waw.com>  Thu, 21 Jan 1999 18:32:24 +0100

xtide (2.0b3-2) unstable; urgency=low

  * Link against new libstdc++
  * add web site to control

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 28 Sep 1998 19:06:17 -0700

xtide (2.0b3-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 28 Jul 1998 16:00:47 -0700
